import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';
import { IonButton, IonHeader, IonToolbar, IonIcon, IonTitle, IonContent, IonCard, IonCardHeader, IonCardTitle, IonCardContent, IonItem, IonList } from '@ionic/angular/standalone';

@Component({
  selector: 'app-person',
  templateUrl: 'person.page.html',
  styleUrls: ['person.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonButton, IonIcon, IonTitle,
    IonContent, IonCard, IonCardHeader, IonCardTitle, IonCardContent, IonItem, IonList
  ]
})
export class PersonPage {
  constructor(private navCtrl: NavController) {}

  gender: string = '女'; // 默认性别
  signature: string = ''; // 个性签名

  goBack() {
    this.navCtrl.back();
  }

  navigateToTab4() {
    this.navCtrl.navigateForward('/tab4'); // 跳转到tab4
  }

  onInputChange(event: Event) {
    const input = event.target as HTMLInputElement;
    this.signature = input.value; // 更新个性签名
  }
}